# -*- coding: utf-8 -*-

############################################################################
#   Copyright © 2016-2017 José Manuel Santamaría Lema <panfaust@gmail.com> #
#                                                                          #
#   This program is free software; you can redistribute it and/or modify   #
#   it under the terms of the GNU General Public License as published by   #
#   the Free Software Foundation; either version 2 of the License, or      #
#   (at your option) any later version.                                    #
############################################################################

from libka.ka_configuration import *

#Class to find out the ppa name from the release type
class KubuntuPPA:
    def __init__(self,release_type):
        ka_config = getConfigParser()
        if release_type == "frameworks":
            self._full_name = ka_config['ppas']['frameworks-ppa']
        elif release_type == "plasma":
            self._full_name = ka_config['ppas']['plasma-ppa']
        elif release_type == "applications":
            self._full_name = ka_config['ppas']['applications-ppa']
        else:
            self._full_name = ka_config['ppas']['other-ppa']

    def get_full_name(self):
        return self._full_name

    def get_user_name(self):
        return self._full_name.split(':')[1].split('/')[0]

    def get_ppa_name(self):
        return self._full_name.split(':')[1].split('/')[1]


# kate: space-indent on; indent-width 4; replace-tabs on; indent-mode python; remove-trailing-space modified;
# vim: expandtab ts=4
