#!/usr/bin/python3
# -*- coding: utf-8 -*-
# kate: space-indent on; indent-width 4; replace-tabs on; indent-mode python; remove-trailing-space modified;
# vim: expandtab ts=4

############################################################################
#   Copyright © 2016 José Manuel Santamaría Lema <panfaust@gmail.com>      #
#                                                                          #
#   This program is free software; you can redistribute it and/or modify   #
#   it under the terms of the GNU General Public License as published by   #
#   the Free Software Foundation; either version 2 of the License, or      #
#   (at your option) any later version.                                    #
############################################################################

import sys

this = sys.modules[__name__]

this._ubuntu_version_map = {
    "cosmic": "18.10",
    "bionic": "18.04",
    "artful": "17.10",
    "zesty": "17.04",
    "yakkety": "16.10",
    "xenial": "16.04",
    "wily": "15.10",
    "vivid": "15.04"
}

this._ubuntu_name_map = dict((v, k) for k, v in _ubuntu_version_map.items())

def ubuntuDistVersionFromName(dist_name):
    return _ubuntu_version_map[dist_name]

def ubuntuDistNameFromVersion(version):
    return _ubuntu_name_map[version]

def previousUbuntuVersion(version):
    year,month = version.split('.')
    if month == '10':
        month = '04'
    else:
        year = str( int(year) - 1 )
        month = '10'
    version = year + '.' + month
    return version
