#!/usr/bin/python3
# -*- coding: utf-8 -*-
# kate: space-indent on; indent-width 4; replace-tabs on; indent-mode python; remove-trailing-space modified;
# vim: expandtab ts=4

############################################################################
#   Copyright © 2017 José Manuel Santamaría Lema <panfaust@gmail.com>      #
#                                                                          #
#   This program is free software; you can redistribute it and/or modify   #
#   it under the terms of the GNU General Public License as published by   #
#   the Free Software Foundation; either version 2 of the License, or      #
#   (at your option) any later version.                                    #
############################################################################


from setuptools import setup, find_packages

setup(
    name='Kubuntu Automation',
    version='2.2',
    scripts=[
        #basic commands to do packaging work
        'git-clone-all',
        'do-all',
        'ka-update-metadata',
        'git-buildpackage-ppa', 'gbp-ppa',
        'git-buildpackage-newrelease', 'gbp-newrelease', 'git-buildpackage-nr', 'gbp-nr',
        'git-buildpackage-archive','gbp-archive',
        'git-buildpackage-tritemio', 'gbp-tritemio',
        'git-buildpackage-real','gbp-real',
        'uploadsource',
        'kubuntu-retry-builds',
        'kopypackages2',
        'klearppa2',
        'tritemio-ls',
        'tritemio-removesrc',
        'tritemio-binNMU',
        'tritemio-kopypackages',
        'git-tagpkg',
        #extra commands to do packaging work
        'download-tarballs',
        'get-kci-tarball',
        'unpack-source',
        'bump-build-dep-versions',
        'sanitize-control-file',
        'phab-srcpkg-list',
        'check-and-fix/bump-ubuntu-revision',
        'check-and-fix/check-archive',
        'check-and-fix/check-binpkg-names',
        'check-and-fix/ka-acctest-noinline',
        'check-and-fix/ka-gitattributes',
        'check-and-fix/ka-wrap-and-sort',
        'check-and-fix/remove-broken-debian-breaks',
        'check-and-fix/update-sv-field',
        'check-and-fix/update-symbols-ppa',
        'check-and-fix/update-vcs-fields',
        'check-and-fix/convert2sru',
        'check-and-fix/move-tests-to-rules',
        'check-and-fix/ka-sync-archive',
        'check-and-fix/refresh-changelog-date',
        #commands to deal with merges
        'ka-debian2kubuntu-merge',
        'ka-debian2kubuntu-clean',
        #commands to get information reports about packaging status
        'ka-iron-hand',
        'ka-grep-excuses',
        'ka-graph',
        'ka-unite-graph-logs',
        'ppa-build-status',
        'ppa-build-status-cron',
        'tritemio-build-status/tritemio-build-status',
        #debug commands
        'debug/get-tarball',
        'debug/kagraphdemo',
        'debug/package-info',
        'debug/tritemio-pkglist',
        'debug/get-max-tag'
        ],
    package_dir={'':'.'},
    #packages=find_packages('.'),
    packages=['libka'],
    install_requires=[
        'JSMin',
        'TermColor',
        'Colorama',
        'python-debian',
        'chardet', #needed for python-debian
        'GitPython',
        'LaunchpadLib',
        'Requests',
        'PyGraphviz',
        'Jinja2',
        'urllib3',
        'Psycopg2', #needed for tritemio
        'Click'],
    include_package_data=True,
    package_data={
        'libka':[
            'defaultconfig/defaultrc',
            'defaultconfig/ironhand_defaultrc',
            'templates/*',
            'static/*',
            'gbp-plugins/*.json',
            'gbp-plugins/scripts/add-ppa-suffix',
            'gbp-plugins/scripts/new-release',
            'gbp-plugins/scripts/prepare-archive-upload',
            'gbp-plugins/scripts/prepare-tritemio',
        ]
    },
    data_files=[
        ('/etc/ka', [
            'etc/kubuntu-automation.conf',
            'etc/ka-iron-hand.conf'
        ]),
        ('/etc/bash_completion.d', [
            'etc/bash_completion.d/kubuntu-automation'
        ]),
    ]
)
